Red Hat Enterprise Linux 3: System Administration Guide
Prev | Chapter 8. Access Control Lists | Next

# 8.5. Archiving File Systems With ACLs

| Warning
| The `tar` and `dump` commands do not backup ACLs.

The `star` utility is similar to the `tar` utility in that it can be used to generate archives of files; however, some of its options are different. Refer to Table 8-1 for a listing of more commonly used options. For all available options, refer to the `star` man page. The `star` package is required to use this utility.

Option | Description
--- | ---
`-c` | Creates an archive file.
`-n` | Do not extract the files; use in conjunction with `-x` to show what extracting the files does.
`-r` | Replaces files in the archive. The files are written to the end of the archive file, replacing any files with the same path and file name.
`-t` | Displays the contents of the archive file.
`-u` | Updates the archive file. The files are written to the end of the archive if they do not exist in the archive or if the files are newer than the files of the same name in the archive. This option only work if the archive is a file or an unblocked tape that may backspace.
`-x` | Extracts the files from the archive. If used with `-U` and a file in the archive is older than the corresponding file on the file system, the file is not extracted.
`-help` | Displays the most important options.
`-xhelp` | Displays the least important options.
`-/` | Do not strip leading slashes from file names when extracting the files from an archive. By default, they are striped when files are extracted.
`-acl` | When creating or extracting, archive or restore any ACLs associated with the files and directories.

Table 8-1. Command Line Options for `star`

Prev | Home | Next
Retrieving ACLs | Up | Compatibility with Older Systems